# node-red-contrib-node-line-api
![Node-RED, LINE Notify API, LINE Messaging API](https://user-images.githubusercontent.com/43282496/160283800-ce97f39b-07d7-4305-87b8-bb0223eb4a2a.png)

**LINE API nodes** for <a href="https://nodered.org/" target="_blank">Node-RED</a>, includes LINE Notify Nodes and LINE Messaging API Nodes, for easy to interact with LINE application.

![node-red-contrib-node-line-api](https://user-images.githubusercontent.com/43282496/163944021-99bb0760-79a4-40af-ae0a-1498a2964169.png)

## Getting Started
1. First, install <a href="https://nodered.org/docs/getting-started/local" target="_blank">Node-RED</a> by follow Node-RED installation guideline.

2. Install this package at user data directory `~/.node-red`

```
npm install node-red-contrib-node-line-api
```

3. Start Node-RED 

```
node-red
```

## Documents

### LINE Notify API Nodes
* [LINE Notify API Node](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-Notify-API-Node)

### LINE Messaging API Nodes
* [LINE Messaging API Push Message Node](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-Message-API-Push-Message-Node)
* [LINE Messaging API Multicast Message Node](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-Message-API-Multicast-Message-Node)
* [LINE Messaging API Broadcast Message Node](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-Message-API-Broadcast-Message-Node)
* [LINE Messaging API Reply Message Node](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-Message-API-Reply-Message-Node)
* [LINE Messaging API Configuration Noe](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-Messaging-API-Configuration-Node)
* [LINE Webhook Node](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-Webhook-Node)
* [LINE ReplyToken Provider Node](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-ReplyToken-Provider-Node)
* [LINE Messaging API Quick Reply Item Node](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-Message-API-Quick-Reply-Item-Node)
* [LINE Messaging API Quick Reply Collector Node](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/LINE-Message-API-Quick-Reply-Collector-Node)

## Create LINE Notify
Create LINE Notify at <a href="https://notify-bot.line.me/" target="_blank">LINE Notify</a> official website.

## How do you to start LINE Messaging API?
Use this official document <a href="https://developers.line.biz/en/docs/messaging-api/getting-started/" target="_blank">Getting started with the Messaging API</a> to create your own LINE Messaging API.

## Using quick replies
Use this official document <a href="https://developers.line.biz/en/docs/messaging-api/using-quick-reply/" target="_blank">Using quick replies</a> to create quick reply with LINE Messaging API.

## Change Logs
[See change logs detail](https://github.com/jatu-studiobox/node-red-contrib-node-line-api/wiki/Change-Logs)
